%define module nvml
%define srcname py3nvml

Name:           python-%{module}
Version:        0.2.7
Release:        %mkrel 1
Summary:        Python 3 compatible bindings to the NVIDIA Management Library.
License:        BSD-3-Clause
Group:          Development/Python
URL:            https://github.com/fbcotter/py3nvml
Source:         https://github.com/fbcotter/py3nvml/archive/%{srcname}-%{version}.tar.xz

%description
Python 3 compatible bindings to the NVIDIA Management Library. Can be used to query the state of the GPUs on your system.
This was ported from the NVIDIA provided python bindings nvidia-ml-py, which only supported python 2.
I have forked from version 7.352.0. The old library was itself a wrapper around the NVIDIA Management Library.

In addition to these NVIDIA functions to query the state of the GPU, I have written a couple functions/tools to help
in using gpus (particularly for a shared gpu server). These are:

- A function to 'restrict' the available GPUs by setting the CUDA_VISIBLE_DEVICES environment variable.
- A script for displaying a differently formatted nvidia-smi.

%package -n python3-%{module}
Summary:        Python 3 compatible bindings to the NVIDIA Management Library.
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
Python 3 compatible bindings to the NVIDIA Management Library. Can be used to query the state of the GPUs on your system.
This was ported from the NVIDIA provided python bindings nvidia-ml-py, which only supported python 2.
I have forked from version 7.352.0. The old library was itself a wrapper around the NVIDIA Management Library.

In addition to these NVIDIA functions to query the state of the GPU, I have written a couple functions/tools to help
in using gpus (particularly for a shared gpu server). These are:

- A function to 'restrict' the available GPUs by setting the CUDA_VISIBLE_DEVICES environment variable.
- A script for displaying a differently formatted nvidia-smi.

%prep
%setup -q -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{module}
%{_bindir}/py3smi
%{python3_sitelib}/*

%changelog
* Fri Aug 12 2022 TerryN <terryn94 at gmail.com> 0.2.7-1pclos2022
- update and rebuild for python 3.10

* Sun Oct 13 2019 tex - 0.2.3-2pclos2019
- rebuild against updates

* Fri May 17 2019 pckg <pckg at email.cz> 0.2.3-1pclos2019
- Initial package
